Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPointDataToCellData Class Reference

`#include <vtkPointDataToCellData.h>`

Inheritance diagram for vtkPointDataToCellData:

[legend]
Collaboration diagram for vtkPointDataToCellData:

[legend]
List of all members.

## Detailed Description

map point data to cell data

Date:
  2002/01/22 15:29:34

Revision:
  1.17

vtkPointDataToCellData is a filter that transforms point data (i.e., data specified per point) into cell data (i.e., data specified per cell). The method of transformation is based on averaging the data values of all points defining a particular cell. Optionally, the input point data can be passed through to the output as well.

Warning:
  This filter is an abstract filter, that is, the output is an abstract type (i.e., vtkDataSet). Use the convenience methods (e.g., vtkGetPolyDataOutput(), GetStructuredPointsOutput(), etc.) to get the type of output you want.

See also:
  vtkDataSetToDataSetFilter vtkPointData vtkCellData vtkCellDataToPointData

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (70%)
  - Law, Charles (6%)
  - Geveci, Berk (5%)
  - Cedilnik, Andy (5%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkPointDataToCellData.h)`
  - .`cxx` (`/Graphics/vtkPointDataToCellData.cxx)`

Examples:
  vtkPointDataToCellData (Examples)

Tests:
  vtkPointDataToCellData (Tests)

Definition at line 62 of file vtkPointDataToCellData.h.

## Public Types
typedef vtkDataSetToDataSetFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetPassPointData (int)
virtual int | GetPassPointData ()
virtual void | PassPointDataOn ()
virtual void | PassPointDataOff ()
## Static Public Methods
vtkPointDataToCellData * | New ()
int | IsTypeOf (const char *type)
vtkPointDataToCellData * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPointDataToCellData ()
| ~vtkPointDataToCellData ()
void | Execute ()
## Protected Attributes
int | PassPointData

## Member Typedef Documentation

typedef vtkDataSetToDataSetFilter vtkPointDataToCellData::Superclass

| Reimplemented from vtkDataSetToDataSetFilter. Definition at line 66 of file vtkPointDataToCellData.h.

## Constructor & Destructor Documentation

vtkPointDataToCellData::vtkPointDataToCellData | ( |  | ) | `[protected]`

vtkPointDataToCellData::~vtkPointDataToCellData | ( |  | ) | `[inline, protected]`

| Definition at line 80 of file vtkPointDataToCellData.h.

## Member Function Documentation

vtkPointDataToCellData* vtkPointDataToCellData::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkPointDataToCellData::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToDataSetFilter.

int vtkPointDataToCellData::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

virtual int vtkPointDataToCellData::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

vtkPointDataToCellData* vtkPointDataToCellData::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToDataSetFilter.

void vtkPointDataToCellData::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToDataSetFilter.

virtual void vtkPointDataToCellData::SetPassPointData | ( | int |  | ) | `[virtual]`

| Control whether the input point data is to be passed to the output. If on, then the input point data is passed through to the output; otherwise, only generated point data is placed into the output.

virtual int vtkPointDataToCellData::GetPassPointData | ( |  | ) | `[virtual]`

| Control whether the input point data is to be passed to the output. If on, then the input point data is passed through to the output; otherwise, only generated point data is placed into the output.

virtual void vtkPointDataToCellData::PassPointDataOn | ( |  | ) | `[virtual]`

| Control whether the input point data is to be passed to the output. If on, then the input point data is passed through to the output; otherwise, only generated point data is placed into the output.

virtual void vtkPointDataToCellData::PassPointDataOff | ( |  | ) | `[virtual]`

| Control whether the input point data is to be passed to the output. If on, then the input point data is passed through to the output; otherwise, only generated point data is placed into the output.

void vtkPointDataToCellData::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

int vtkPointDataToCellData::PassPointData`[protected]`

| Definition at line 84 of file vtkPointDataToCellData.h.

The documentation for this class was generated from the following file:

- Graphics/vtkPointDataToCellData.h